﻿using BEPUphysics.CollisionShapes;
using BEPUphysics.CollisionShapes.ConvexShapes;
using BEPUphysics.Entities;
using BEPUphysics.Entities.Prefabs;
using BEPUphysics.Materials;
using BEPUutilities;
using System.Collections.Generic;

namespace BEPUphysicsDemos.Demos
{
    public class TrianglesA : StandardDemo
    {
        public TrianglesA(DemosGame game)
            : base(game)
        {
            List<CompoundShapeEntry> Triangles = new List<CompoundShapeEntry>();

            Triangles.Add(new CompoundShapeEntry(new TriangleShape(new Vector3(-5, 0, 0), new Vector3(0, 0, 0), new Vector3(0, 0, 5))));
            Triangles.Add(new CompoundShapeEntry(new TriangleShape(new Vector3(-5, 0, 0), new Vector3(-5, 0, 5), new Vector3(0, 0, 5))));

            Entity pyramid = new CompoundBody(Triangles, 500) { Position = new Vector3(0, 20, 0) };

            Space.Add(pyramid);
            

            Entity ground = new Entity(new BoxShape(100, 1, 100)) { Position = new Vector3(0, -0.5f, 0) };
            Space.Add(ground);
        }

        public override string Name
        {
            get { return "Triangles testA"; }
        }
    }
}